Subject: Re: Question about sendmail when not using NIS

From: [email-masked] (Krzysztof Rozycki PK)
Date: Mon, 20 Sep 1993 15:11:47 GMT

Scott Chasin ([email-masked]) wrote:
: > I am running Solaris 2.2 and am using DNS not NIS. I am 
: > having trouble getting sendmail to send and receive 
: > outside of my domain (or what is set by the Dm and Cm
: > variables).

:   Is DNS working on your system?  Is it resolving hosts?

:   If not, I had the same problem.  I had to edit /etc/nsswitch.conf
:   and change the line "hosts: file" to "hosts: file dns" to alert
:   the OS to consult the hosts file first, then resolve with DNS.

I'm running successfully such configration with sendmail.mx
and changes in sendmail.cf throwing away  all  NIS dependencies from config.

Krzysztof Rozycki
[email-masked]